{% extends "layout.html" %}
{% block content %}
{#	<p>{{ doctor_data.diseases_id }}</p>#}
	<div class="row">
		<form method="POST" class="add_doctor_form" id="add_doctor_form" action="">
			<div class="row">
				<div class="col-sm-12 col-md-6 col-lg-6 mb-4">
					<label class="mb-1" for="name">Name</label>
					<input type="text" class="form-control" value="{{ doctor_data.name if doctor_data else '' }}"
					       name="name" id="name">
				</div>
				<div class="col-sm-12 col-md-6 col-lg-6 mb-4">
					<label class="mb-1" for="phone">Phone</label>
					<input type="number" class="form-control" value="{{ doctor_data.phone if doctor_data else '' }}" name="phone" id="phone">
				</div>
			</div>
			<div class="row">
				<div class="col-sm-12 col-md-6 col-lg-6 mb-4">
					<label class="mb-1" for="email">E-mail</label>
					<input type="email" class="form-control" value="{{ doctor_data.email if doctor_data else '' }}" name="email" id="email">
				</div>
				<div class="col-sm-12 col-md-6 col-lg-6 mb-4">
					<label class="mb-1" for="username">Username</label>
					<input type="text" class="form-control" value="{{ doctor_data.username if doctor_data else '' }}" name="username" id="username">
				</div>
			</div>
			<div class="row">
				<div class="col-sm-12 col-md-12 col-lg-12 mb-4">
					<label class="mb-1" for="diseases_list">Select Diseases</label>
					<select name="diseases_list" id="diseases_list" class="form-control" {{ 'Disabled' if doctor_data
					 else '' }}>
						<option value="" selected>-- Select --</option>
						{% for dis in disease_data %}
							{% if doctor_data %}
								<option value="{{ dis.id }}" {{ 'selected' if doctor_data.diseases_id == dis.id else
								 '' }}>{{ dis.name }}</option>
							{% else %}
								<option value="{{ dis.id }}">{{ dis.name }}</option>
							{% endif %}
						{% endfor %}
					</select>
				</div>
			</div>
			<div class="row">
					<div class="col-sm-12 col-md-6 col-lg-6 mb-4">
						<label class="mb-1" for="address_1">Address Line 1</label>
						<input type="text" class="form-control" value="{{ doctor_data.address_1 if doctor_data else '' }}" name="address_1" id="address_1">
					</div>
					<div class="col-sm-12 col-md-6 col-lg-6 mb-4">
						<label class="mb-1" for="address_2">Address Line 2</label>
						<input type="text" class="form-control" value="{{ doctor_data.address_2 if doctor_data else '' }}" name="address_2"
						       id="address_2">
					</div>
				</div>
			<div class="row">
				<div class="col-sm-12 col-md-6 col-lg-6 mb-4">
					<label class="mb-1" for="city">City</label>
					<input type="text" class="form-control" value="{{ doctor_data.city if doctor_data else '' }}" name="city" id="city">
				</div>
				<div class="col-sm-12 col-md-6 col-lg-6 mb-4">
					<label class="mb-1" for="state">State</label>
					<input type="text" class="form-control" value="{{ doctor_data.state if doctor_data else '' }}" name="state" id="state">
				</div>
			</div>
			<div class="row">
				<div class="col-sm-12 col-md-6 col-lg-62 mb-4">
					<label class="mb-1" for="pincode">Pincode</label>
					<input type="text" class="form-control" value="{{ doctor_data.pincode if doctor_data else '' }}" name="pincode" id="pincode">
				</div>
				<div class="col-sm-12 col-md-6 col-lg-6 mb-4">
					<label class="mb-1" for="country">Country</label>
					<input type="text" class="form-control" value="{{ doctor_data.country if doctor_data else '' }}" name="country" id="country">
				</div>
			</div>
			<div class="row">
				<div class="col-sm-12 col-md-12 col-lg-12 mb-4">
					<input type="submit" class="btn btn-outline-primary" name="submit" id="submit" value="Save">
					<input type="reset" class="btn btn-outline-danger" name="reset" id="reset" value="Reset">
					<a href="{{ url_for('main.doctor_dashboard') if '/doctor-profile' in request.url_rule.rule else
					url_for('doctor.doctor_list') }}"
					   class="btn btn-outline-secondary">Cancel</a>
				</div>
			</div>
			<input type="hidden" id="doctors_id" name="doctors_id" value="{{ doctor_data.id if doctor_data else '' }}">
			<input type="hidden" id="doc_type" name="doc_type"
			       value="{{ 'profile' if '/doctor-profile' in request.url_rule.rule else 'update' }}">
		</form>
	</div>
{% endblock content %}
{% block jquery %}
	<script src="{{ url_for('static', filename='js/add_doctor.js') }}"></script>
{% endblock jquery %}